Index: trunk/BNC/qwt/qwt_wheel.cpp
===================================================================
--- trunk/BNC/qwt/qwt_wheel.cpp	(revision 8127)
+++ trunk/BNC/qwt/qwt_wheel.cpp	(revision 9383)
@@ -55,5 +55,5 @@
         wrapping( false )
     {
-    };
+    }
 
     Qt::Orientation orientation;
@@ -114,6 +114,6 @@
   \brief En/Disable tracking
 
-  If tracking is enabled (the default), the wheel emits the valueChanged() 
-  signal while the wheel is moving. If tracking is disabled, the wheel 
+  If tracking is enabled (the default), the wheel emits the valueChanged()
+  signal while the wheel is moving. If tracking is disabled, the wheel
   emits the valueChanged() signal only when the wheel movement is terminated.
 
@@ -162,5 +162,5 @@
    \brief Mouse press event handler
 
-   Start movement of the wheel. 
+   Start movement of the wheel.
 
    \param event Mouse event
@@ -209,11 +209,11 @@
         d_data->speed = ( mouseValue - d_data->mouseValue ) / ms;
     }
-    
-    d_data->mouseValue = mouseValue; 
+
+    d_data->mouseValue = mouseValue;
 
     double value = boundedValue( mouseValue - d_data->mouseOffset );
     if ( d_data->stepAlignment )
         value = alignedValue( value );
-        
+
     if ( value != d_data->value )
     {
@@ -238,5 +238,5 @@
 
    \param event Mouse event
-*/  
+*/
 
 void QwtWheel::mouseReleaseEvent( QMouseEvent *event )
@@ -260,5 +260,5 @@
     if ( startFlying )
     {
-        d_data->flyingValue = 
+        d_data->flyingValue =
             boundedValue( d_data->mouseValue - d_data->mouseOffset );
 
@@ -281,5 +281,5 @@
 
   The flying wheel effect is implemented using a timer
-   
+
   \param event Timer event
 
@@ -323,5 +323,5 @@
   \brief Handle wheel events
 
-  In/Decrement the value 
+  In/Decrement the value
 
   \param event Wheel event
@@ -342,5 +342,5 @@
     double increment = 0.0;
 
-    if ( ( event->modifiers() & Qt::ControlModifier) || 
+    if ( ( event->modifiers() & Qt::ControlModifier) ||
         ( event->modifiers() & Qt::ShiftModifier ) )
     {
@@ -384,10 +384,10 @@
 
   - Qt::Key_Up\n
-    In case of a horizontal or not inverted vertical wheel the value 
+    In case of a horizontal or not inverted vertical wheel the value
     will be incremented by the step size. For an inverted vertical wheel
     the value will be decremented by the step size.
 
   - Qt::Key_Down\n
-    In case of a horizontal or not inverted vertical wheel the value 
+    In case of a horizontal or not inverted vertical wheel the value
     will be decremented by the step size. For an inverted vertical wheel
     the value will be incremented by the step size.
@@ -482,5 +482,5 @@
     if ( event->isAccepted() )
         stopFlying();
-    
+
     if ( increment != 0.0 )
     {
@@ -552,5 +552,5 @@
 
 /*!
-   \return Wheel border width 
+   \return Wheel border width
    \sa setWheelBorderWidth()
 */
@@ -561,5 +561,5 @@
 
 /*!
-  \brief Set the border width 
+  \brief Set the border width
 
   The border defaults to 2.
@@ -575,5 +575,5 @@
 
 /*!
-   \return Border width 
+   \return Border width
    \sa setBorderWidth()
 */
@@ -683,5 +683,5 @@
 }
 
-/*! 
+/*!
   Determine the value corresponding to a specified point
 
@@ -724,5 +724,5 @@
 }
 
-/*! 
+/*!
    \brief Qt Paint Event
    \param event Paint event
@@ -737,5 +737,5 @@
     style()->drawPrimitive(QStyle::PE_Widget, &opt, &painter, this);
 
-    qDrawShadePanel( &painter, 
+    qDrawShadePanel( &painter,
         contentsRect(), palette(), true, d_data->borderWidth );
 
@@ -753,5 +753,5 @@
    \param rect Geometry for the wheel
 */
-void QwtWheel::drawWheelBackground( 
+void QwtWheel::drawWheelBackground(
     QPainter *painter, const QRectF &rect )
 {
@@ -761,5 +761,5 @@
 
     //  draw shaded background
-    QLinearGradient gradient( rect.topLeft(), 
+    QLinearGradient gradient( rect.topLeft(),
         ( d_data->orientation == Qt::Horizontal ) ? rect.topRight() : rect.bottomLeft() );
     gradient.setColorAt( 0.0, pal.color( QPalette::Button ) );
@@ -772,7 +772,7 @@
     // draw internal border
 
-    const QPen lightPen( palette().color( QPalette::Light ), 
+    const QPen lightPen( palette().color( QPalette::Light ),
         d_data->wheelBorderWidth, Qt::SolidLine, Qt::FlatCap );
-    const QPen darkPen( pal.color( QPalette::Dark ), 
+    const QPen darkPen( pal.color( QPalette::Dark ),
         d_data->wheelBorderWidth, Qt::SolidLine, Qt::FlatCap );
 
@@ -782,9 +782,9 @@
     {
         painter->setPen( lightPen );
-        painter->drawLine( QPointF( rect.left(), rect.top() + bw2 ), 
+        painter->drawLine( QPointF( rect.left(), rect.top() + bw2 ),
             QPointF( rect.right(), rect.top() + bw2 ) );
 
         painter->setPen( darkPen );
-        painter->drawLine( QPointF( rect.left(), rect.bottom() - bw2 ), 
+        painter->drawLine( QPointF( rect.left(), rect.bottom() - bw2 ),
             QPointF( rect.right(), rect.bottom() - bw2 ) );
     }
@@ -792,9 +792,9 @@
     {
         painter->setPen( lightPen );
-        painter->drawLine( QPointF( rect.left() + bw2, rect.top() ), 
+        painter->drawLine( QPointF( rect.left() + bw2, rect.top() ),
             QPointF( rect.left() + bw2, rect.bottom() ) );
 
         painter->setPen( darkPen );
-        painter->drawLine( QPointF( rect.right() - bw2, rect.top() ), 
+        painter->drawLine( QPointF( rect.right() - bw2, rect.top() ),
             QPointF( rect.right() - bw2, rect.bottom() ) );
     }
@@ -818,7 +818,7 @@
     }
 
-    const QPen lightPen( palette().color( QPalette::Light ), 
+    const QPen lightPen( palette().color( QPalette::Light ),
         0, Qt::SolidLine, Qt::FlatCap );
-    const QPen darkPen( palette().color( QPalette::Dark ), 
+    const QPen darkPen( palette().color( QPalette::Dark ),
         0, Qt::SolidLine, Qt::FlatCap );
 
@@ -857,5 +857,5 @@
 
             double tickPos;
-            if ( d_data->inverted ) 
+            if ( d_data->inverted )
                 tickPos = rect.left() + off;
             else
@@ -865,8 +865,8 @@
             {
                 painter->setPen( darkPen );
-                painter->drawLine( QPointF( tickPos - 1 , l1 ), 
+                painter->drawLine( QPointF( tickPos - 1 , l1 ),
                     QPointF( tickPos - 1,  l2 ) );
                 painter->setPen( lightPen );
-                painter->drawLine( QPointF( tickPos, l1 ), 
+                painter->drawLine( QPointF( tickPos, l1 ),
                     QPointF( tickPos, l2 ) );
             }
@@ -907,8 +907,8 @@
             {
                 painter->setPen( darkPen );
-                painter->drawLine( QPointF( l1, tickPos - 1 ), 
+                painter->drawLine( QPointF( l1, tickPos - 1 ),
                     QPointF( l2, tickPos - 1 ) );
                 painter->setPen( lightPen );
-                painter->drawLine( QPointF( l1, tickPos ), 
+                painter->drawLine( QPointF( l1, tickPos ),
                     QPointF( l2, tickPos ) );
             }
@@ -1014,10 +1014,10 @@
 
 /*!
-  \brief Set the page step count  
-    
+  \brief Set the page step count
+
   pageStepCount is a multiplicator for the single step size
   that typically corresponds to the user pressing PageUp or PageDown.
-    
-  A value of 0 disables page stepping. 
+
+  A value of 0 disables page stepping.
 
   The default value is 1.
@@ -1031,5 +1031,5 @@
 }
 
-/*! 
+/*!
   \return Page step count
   \sa setPageStepCount(), singleStep()
@@ -1150,8 +1150,8 @@
   The direction of an inverted horizontal wheel will be from right to left
   an inverted vertical wheel will increase from bottom to top.
-  
+
   \param on En/Disable inverted appearance
   \sa isInverted()
- 
+
  */
 void QwtWheel::setInverted( bool on )
@@ -1176,6 +1176,6 @@
   \brief En/Disable wrapping
 
-  If wrapping is true stepping up from maximum() value will take 
-  you to the minimum() value and vice versa. 
+  If wrapping is true stepping up from maximum() value will take
+  you to the minimum() value and vice versa.
 
   \param on En/Disable wrapping
@@ -1251,5 +1251,5 @@
 {
     const double range = d_data->maximum - d_data->minimum;
-    
+
     if ( d_data->wrapping && range >= 0.0 )
     {
@@ -1257,5 +1257,5 @@
         {
             value += ::ceil( ( d_data->minimum - value ) / range ) * range;
-        }       
+        }
         else if ( value > d_data->maximum )
         {
@@ -1293,5 +1293,5 @@
             }
         }
-    }       
+    }
 
     return value;
